<?php
/**
 * Ce fichier est utilis pour afficher le rsultat lorsqu'un joueur gagne
 * et que gg_winner_display est  2
 *
 */

/**
 * Nom de domaine ou adresse IP du ftp de votre serveur de jeu
 *
 * C'est le mme nom ou adresse que vous mettez dans votre client ftp quand vous y installez une map ou un addons
 *
 * Si votre serveur web et votre serveur de jeu sont sur le mme ftp
 * laissez ceci  'localhost' afin d'viter une connexion inutile sur le ftp
 */
$serverip = 'localhost';

/**
 * Login pour l'accs FTP
 */
$username = 'username';

/**
 * Mot de passe associ au login
 */
$password = 'password';

/**
 * Le chemin entier o se trouve votre dossier cstrike sur le ftp
 *
 * en y incluant un slash (barre oblique '/')  la fin
 */
$basepath = '/home/';

/**
 * Port du ftp
 *
 * Habituellement 21
 */
$port = '21';

/**
 * Entrez l'url de l'image que vous voulez en haut de la page
 */
$image = 'ggv4fr.gif';

/**
 * Taille de l'image
 */
$image_attr = 'width="700" height="100"';


// -----------------  ne rien modifier sous cette ligne ----------------------------


$filepath = $basepath . 'cstrike/addons/eventscripts/gungame4/addons/web_data/es_gg4wins_db.txt';

if ($serverip === 'localhost') {
    $local_file = $filepath;
} else {
    // cache remote file on lcoal path
    $local_file = 'es_gg4wins_db.txt';
    if (! file_exists($local_file)
     || (time() - filemtime($local_file)) > 150) {
        // local file does not exists or is older than 150 seconds
        $ftp = ftp_connect($serverip, $port, 15);
        ftp_login($ftp, $username, $password);
        ftp_get($ftp, $local_file, $filepath, FTP_ASCII);
    }
}

$records = file($local_file);

$playername     = get_data($records, '"name"');
$playerlevel    = get_data($records, '"level"');
$playerkills    = get_data($records, '"kills"');
$playerdeaths   = get_data($records, '"deaths"');
$playerwins     = get_data($records, '"wins"');
$playerrank     = get_data($records, '"rank"');
$winner         = htmlspecialchars(get_data($records, '"winner"', 0));
$wins           = htmlspecialchars(get_data($records, '"winnerwins"', 0));
$rank           = htmlspecialchars(get_data($records, '"winnerrank"', 0));
$loser          = htmlspecialchars(get_data($records, '"loser"', 0));
$total          = htmlspecialchars(get_data($records, '"totals"', 0));

/**
 * Search array for values containing $id and return them as array or optionaly
 * only the one at position $key
 *
 * @param array     $records
 * @param string    $id
 * @param integer   $key
 * @return mixed    array or single value
 */
function get_data($records, $id, $key = null)
{
    $temparray = array();
    foreach ($records as $record) {
        if (strpos($record, $id) !== false) {
            $temparray[] = get_value($record);
        }
    }
    if (null !== $key) {
        return $temparray[$key];
    }
    return $temparray;
}

/**
 * Returns portion of a string, cleaned up from " and trailing white chars
 * and first part before first \t (TAB) removed
 *
 * @param string $line
 * @return string portion of $string
 */
function get_value($line)
{
    $line = trim(str_replace('"', '', $line));
    return substr($line, strpos($line, "\t"));
}

header('Content-type: text/html; charset=utf-8');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<head>
    <title>:::Rsultats GunGame4 FR:::</title>
    <link rel="stylesheet" type="text/css" href="motd.css">
</head>
<body>
<div align="center">
<?php
if ($image) {
    if ($image_attr) {
        echo '<img class="logo" src="' . htmlspecialchars($image) . '" ' . $image_attr . '>';
    } else {
        echo '<img class="logo" src="' . htmlspecialchars($image) . '">';
    }
}
?>
</div>

<h1><span class="winner"><?php echo $winner; ?></span> gagne!!</h1>

<p> <span class="winner"><?php echo $winner; ?></span> a gagn la partie en tuant
    <span class="loser"><?php echo $loser; ?></span>
</p>

<p> Flicitations <span class="winner"><?php echo $winner; ?></span>!!</p>

<p> <span class="winner"><?php echo $winner; ?></span> a gagn
     <?php echo $wins; ?> fois et est class <?php echo $rank; ?>
     sur <?php echo $total; ?> joueurs classs.
</p>

<table id="player">
<caption>Rsultats du round GunGame4 FR:</caption>
<tr>
    <th>Player</th>
    <th>Level</th>
    <th>Kills</th>
    <th>Deaths</th>
    <th>Wins</th>
    <th>Rank</th>
</tr>
<?php
foreach ($playername as $index => $playername) {
    ?>
    <tr>
    <td><?php echo htmlspecialchars($playername); ?></td>
    <td><?php echo htmlspecialchars($playerlevel[$index]); ?></td>
    <td><?php echo htmlspecialchars($playerkills[$index]); ?></td>
    <td><?php echo htmlspecialchars($playerdeaths[$index]); ?></td>
    <td><?php echo htmlspecialchars($playerwins[$index]); ?></td>
    <td><?php echo htmlspecialchars($playerrank[$index]); ?></td>
    </tr>
    <?php
};
?>
</table>
</BODY>
</HTML>
